#
# spec file for package python-zope.proxy
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-zope.proxy
Version:        4.1.4
Release:        5.2
Url:            http://www.python.org/pypi/zope.proxy
Summary:        Generic Transparent Proxies
License:        ZPL-2.1
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/z/zope.proxy/zope.proxy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-zope.interface
# Documentation requirements:
BuildRequires:  python-Sphinx
BuildRequires:  python-repoze.sphinx.autointerface
# Testing requirements:
BuildRequires:  python-coverage
BuildRequires:  python-nose

%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
Proxies are special objects which serve as mostly-transparent wrappers around
another object, intervening in the apparent behavior of the wrapped object only
when necessary to apply the policy (e.g., access checking, location brokering,
etc.) for which the proxy is responsible.

%package devel
Summary:        Generic Transparent Proxies
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description devel
This package contains the files needed for binding the %{name} C module.

%package doc
Summary:        Generic Transparent Proxies
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n zope.proxy-%{version}

%build
python setup.py build
PYTHONPATH=$(echo $(pwd)/build/lib.*) python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm %{buildroot}%python_sitearch/zope/proxy/_zope_proxy_proxy.c

%check
python setup.py -q test

%files
%defattr(-,root,root,-)
%doc COPYRIGHT.txt LICENSE.txt CHANGES.rst README.rst
%exclude %python_sitearch/zope/proxy/proxy.h
%python_sitearch/*

%files devel
%defattr(-,root,root,-)
%dir %py_incdir/zope.proxy
%py_incdir/zope.proxy/*
%python_sitearch/zope/proxy/proxy.h

%files doc
%defattr(-,root,root,-)
%doc build/sphinx/html/

%changelog
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.1.4:
  * Added support for Python 3.4.
  * Updated bootstrap.py to version 2.2.
- point the source URL to pypi
- pass -q to test to avoid spamming the build log
* Mon Jul 29 2013 hpj@urpla.net
- version 4.1.3: initial build
